<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.5
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.5">
   <title>Anmerkungen</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.5']]
Item: (TMP Anmerkungen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.5']]/hl7:section
Item: (TMP Anmerkungen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.5']]/hl7:section"
         id="tmp-3c10d996-2e55-4c7e-ac65-f368980087c1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.5'])&gt;=1 ">(TMP Anmerkungen): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.5'])&lt;=1">(TMP Anmerkungen): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Anmerkungen): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="count(hl7:code)&lt;=1">(TMP Anmerkungen): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="count(hl7:title)&gt;=1 ">(TMP Anmerkungen): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="count(hl7:title)&lt;=1">(TMP Anmerkungen): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="count(hl7:text)&gt;=1 ">(TMP Anmerkungen): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="count(hl7:text)&lt;=1">(TMP Anmerkungen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.5']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.5']
Item: (TMP Anmerkungen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.5']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.5']"
         id="tmp-3e29bef9-dcd6-4da4-aab2-f90bee807640">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Anmerkungen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="@root='1.2.40.0.34.11.1.2.5'">(TMP Anmerkungen): @root MUSS den Wert '1.2.40.0.34.11.1.2.5' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Anmerkungen): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.5']]/hl7:section/hl7:code
Item: (TMP Anmerkungen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.5']]/hl7:section/hl7:code"
         id="tmp-08f2cd63-6b8a-401b-86f3-34b20e759edd">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Anmerkungen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="@nullFlavor or (@code='ANM' and @codeSystem='1.2.40.0.34.5.40' and @displayName='Anmerkungen')">(TMP Anmerkungen): Der Wert von @code/@codeSystem MUSS 'ANM' codeSystem '1.2.40.0.34.5.40' displayName='Anmerkungen' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.5']]/hl7:section/hl7:title
Item: (TMP Anmerkungen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.5']]/hl7:section/hl7:title"
         id="tmp-5b04efd4-9bd8-4474-b75a-02e1c425ce4b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Anmerkungen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.1.2.5.html"
              test="text()='Anmerkungen'">(TMP Anmerkungen): Der Elementinhalt von 'hl7:title' MUSS ''Anmerkungen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.5']]/hl7:section/hl7:text
Item: (TMP Anmerkungen)
-->
</pattern>