<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.3
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.3">
   <title>Mobilität</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]
Item: (TMP Mobilität)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section
Item: (TMP Mobilität)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section"
         id="tmp-f8ba9d72-dccf-421e-bf92-dbb28e69a72e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.3'])&gt;=1 ">(TMP Mobilität): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.3'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.3'])&lt;=1">(TMP Mobilität): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Mobilität): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="count(hl7:code)&lt;=1">(TMP Mobilität): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP Mobilität): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="count(hl7:title)&lt;=1">(TMP Mobilität): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP Mobilität): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="count(hl7:text)&lt;=1">(TMP Mobilität): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.3']
Item: (TMP Mobilität)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.3']"
         id="tmp-2de7ec41-047b-4c76-a20e-b70bc6238136">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Mobilität): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="@root='1.2.40.0.34.11.3.2.3'">(TMP Mobilität): @root MUSS den Wert '1.2.40.0.34.11.3.2.3' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Mobilität): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section/hl7:code
Item: (TMP Mobilität)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section/hl7:code"
         id="tmp-47015e01-dc40-4331-89e0-63c3c61c7147">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Mobilität): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="@nullFlavor or (@code='PFMOB' and @codeSystem='1.2.40.0.34.5.40')">(TMP Mobilität): Der Wert von @code/@codeSystem MUSS 'PFMOB' codeSystem '1.2.40.0.34.5.40' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section/hl7:title
Item: (TMP Mobilität)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section/hl7:title"
         id="tmp-940dcee8-e2e8-422e-baf2-44f028b85d8b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Mobilität): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.3.html"
              test="text()='Mobilität'">(TMP Mobilität): Der Elementinhalt von 'hl7:title' MUSS ''Mobilität'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section/hl7:text
Item: (TMP Mobilität)
-->
</pattern>