<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.3.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.3.1">
   <title>Pflege- und Betreuungsdiagnose Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.1
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]
Item: (TMP PflegeBetreuungsdiagnoseEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.1
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act
Item: (TMP PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act"
         id="tmp-2f54e859-eba7-48c3-b71f-b401249ea732">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@classCode='ACT' ">(TMP PflegeBetreuungsdiagnoseEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@moodCode='EVN' ">(TMP PflegeBetreuungsdiagnoseEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.1'])&gt;=1 ">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.1'])&lt;=1">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&gt;=1 ">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&lt;=1">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:statusCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:statusCode)&lt;=1">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:entryRelationship ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:entryRelationship)&lt;=1">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:entryRelationship kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.1
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.1']
Item: (TMP PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.1']"
         id="tmp-7c7a6944-c1bc-4342-9d94-7d5ea298fdce">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnoseEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@root='1.2.40.0.34.11.3.3.1'">(TMP PflegeBetreuungsdiagnoseEntry): @root MUSS den Wert '1.2.40.0.34.11.3.3.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PflegeBetreuungsdiagnoseEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.1
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']
Item: (TMP PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']"
         id="tmp-d3916416-fcf9-4f94-b154-870b000e3ba1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnoseEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@root='1.2.40.0.34.11.1.3.5'">(TMP PflegeBetreuungsdiagnoseEntry): @root MUSS den Wert '1.2.40.0.34.11.1.3.5' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PflegeBetreuungsdiagnoseEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.1
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:statusCode
Item: (TMP PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:statusCode"
         id="tmp-d5ee5bc2-d794-4f48-8c26-1bc5dfa02c30">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnoseEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CS" oder der Datentype MUSS "CS" sein</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@nullFlavor or (@code='active')">(TMP PflegeBetreuungsdiagnoseEntry): Der Wert von @code MUSS 'active' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.1
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:entryRelationship
Item: (TMP PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:entryRelationship"
         id="tmp-237de1af-db93-47af-846d-9ed09469ed65">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:observation ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:observation)&lt;=1">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:observation kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.1
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:entryRelationship/hl7:observation
Item: (TMP PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:entryRelationship/hl7:observation"
         id="tmp-ae6f4e9c-7ec1-4a22-a3f7-3e8e5dd42180">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&gt;=1 ">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&lt;=1">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:code)&lt;=1">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="count(hl7:value)&lt;=1">(TMP PflegeBetreuungsdiagnoseEntry): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.1
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']
Item: (TMP PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']"
         id="tmp-d6a5c0a2-8aea-4980-abfd-181272acee6a">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnoseEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@root='1.2.40.0.34.11.1.3.6'">(TMP PflegeBetreuungsdiagnoseEntry): @root MUSS den Wert '1.2.40.0.34.11.1.3.6' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PflegeBetreuungsdiagnoseEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.1
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code
Item: (TMP PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code"
         id="tmp-7f1c94d0-a92f-4b75-a9c6-8bec74929864">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnoseEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@nullFlavor or (@code='282291009' and @displayName='Diagnosis')">(TMP PflegeBetreuungsdiagnoseEntry): Der Wert von @code MUSS '282291009' displayName='Diagnosis' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.1
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value
Item: (TMP PflegeBetreuungsdiagnoseEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.1']]/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value"
         id="tmp-a44ece72-129f-44cb-b617-5c5acd43c426">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP PflegeBetreuungsdiagnoseEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>