<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.16
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.16">
   <title>Entlassungsmanagement (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]
Item: (TMP EntlassungsmanagementEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section
Item: (TMP EntlassungsmanagementEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section"
         id="tmp-d5e4aff3-d00c-42ae-b094-fb911b83aecc">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.16'])&gt;=1 ">(TMP EntlassungsmanagementEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.16'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.16'])&lt;=1">(TMP EntlassungsmanagementEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.16'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'])&gt;=1 ">(TMP EntlassungsmanagementEnhanced): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'])&lt;=1">(TMP EntlassungsmanagementEnhanced): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="count(hl7:entry)=0">(TMP EntlassungsmanagementEnhanced): element hl7:entry MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.16']
Item: (TMP EntlassungsmanagementEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.16']"
         id="tmp-27b08420-f945-4f03-adbe-0c8a5803df67">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsmanagementEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@root='1.2.40.0.34.11.3.2.16'">(TMP EntlassungsmanagementEnhanced): @root MUSS den Wert '1.2.40.0.34.11.3.2.16' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsmanagementEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32']
Item: (TMP EntlassungsmanagementEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32']"
         id="tmp-5b40cbc4-5642-43f4-8943-e5318d9c3ff7">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsmanagementEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'">(TMP EntlassungsmanagementEnhanced): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.32' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsmanagementEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:code
Item: (TMP EntlassungsmanagementEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:code"
         id="tmp-3f7431f2-8984-4bd8-aab2-b8bcf22c3dfc">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP EntlassungsmanagementEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@nullFlavor or (@code='8650-4' and @codeSystem='2.16.840.1.113883.6.1')">(TMP EntlassungsmanagementEnhanced): Der Wert von @code/@codeSystem MUSS '8650-4' codeSystem '2.16.840.1.113883.6.1' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:title
Item: (TMP EntlassungsmanagementEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:title"
         id="tmp-4b605938-9bf2-4af5-a9b6-9c2d7cfbb873">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP EntlassungsmanagementEnhanced): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.2.16.html"
              test="text()='Entlassungsmanagement'">(TMP EntlassungsmanagementEnhanced): Der Elementinhalt von 'hl7:title' MUSS ''Entlassungsmanagement'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:text
Item: (TMP EntlassungsmanagementEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:entry
Item: (TMP EntlassungsmanagementEnhanced)
-->
</pattern>