<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.3.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.3.2">
   <title>Entlassungsmanagement-Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]
Item: (TMP EntlassungsmanagementEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act
Item: (TMP EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act"
         id="tmp-5f968223-21df-4e59-8ade-83ecb4de07a1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@classCode='ACT' ">(TMP EntlassungsmanagementEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@moodCode='INT' ">(TMP EntlassungsmanagementEntry): Der Wert von @moodCode MUSS 'INT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.2'])&gt;=1 ">(TMP EntlassungsmanagementEntry): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.2'])&lt;=1">(TMP EntlassungsmanagementEntry): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'])&gt;=1 ">(TMP EntlassungsmanagementEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'])&lt;=1">(TMP EntlassungsmanagementEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP EntlassungsmanagementEntry): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:id)&lt;=1">(TMP EntlassungsmanagementEntry): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP EntlassungsmanagementEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:code)&lt;=1">(TMP EntlassungsmanagementEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP EntlassungsmanagementEntry): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:text)&lt;=1">(TMP EntlassungsmanagementEntry): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(TMP EntlassungsmanagementEntry): Element hl7:statusCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:statusCode)&lt;=1">(TMP EntlassungsmanagementEntry): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(TMP EntlassungsmanagementEntry): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP EntlassungsmanagementEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.2']
Item: (TMP EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.2']"
         id="tmp-5f780b43-e357-4abf-b0bc-26a1e309e9eb">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsmanagementEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@root='1.2.40.0.34.11.3.3.2'">(TMP EntlassungsmanagementEntry): @root MUSS den Wert '1.2.40.0.34.11.3.3.2' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsmanagementEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']
Item: (TMP EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']"
         id="tmp-e2197e8a-d671-489b-856e-105e1a20bec9">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsmanagementEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'">(TMP EntlassungsmanagementEntry): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EntlassungsmanagementEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:id
Item: (TMP EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:id"
         id="tmp-8ba9d6d6-d5a3-4008-a9d4-9fcc6e33ea1f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EntlassungsmanagementEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:code
Item: (TMP EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:code"
         id="tmp-fc6d3251-e487-4bbe-ba0b-4d061d991f9b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP EntlassungsmanagementEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or (@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28' and @displayName='Geplantes Entlassungsdatum')">(TMP EntlassungsmanagementEntry): Der Wert von @code/@codeSystem MUSS 'GEPLENTLDAT' codeSystem '1.2.40.0.34.5.28' displayName='Geplantes Entlassungsdatum' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:originalText)&lt;=1">(TMP EntlassungsmanagementEntry): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:code/hl7:originalText
Item: (TMP EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:code/hl7:originalText"
         id="tmp-017ea6e0-4cca-4ad1-bd2d-779a81424c74">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP EntlassungsmanagementEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ED" oder der Datentype MUSS "ED" sein</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:text
Item: (TMP EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:text"
         id="tmp-b16c44fa-cf44-43d0-a2cb-9df6a2aeb567">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP EntlassungsmanagementEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ED" oder der Datentype MUSS "ED" sein</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(TMP EntlassungsmanagementEntry): Element hl7:reference ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:reference)&lt;=1">(TMP EntlassungsmanagementEntry): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:text/hl7:reference
Item: (TMP EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:text/hl7:reference"
         id="tmp-80c02b46-3b6f-4d5b-82a2-74f30cd99f69">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP EntlassungsmanagementEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:statusCode
Item: (TMP EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:statusCode"
         id="tmp-8fd681a9-274e-4ce2-82cc-5c30c7511997">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP EntlassungsmanagementEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CS" oder der Datentype MUSS "CS" sein</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or (@code='normal')">(TMP EntlassungsmanagementEntry): Der Wert von @code MUSS 'normal' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:effectiveTime
Item: (TMP EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:effectiveTime"
         id="tmp-0dce3949-405a-47d9-af57-92b42cace9c8">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP EntlassungsmanagementEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP EntlassungsmanagementEntry): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:low)&lt;=1">(TMP EntlassungsmanagementEntry): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:high)&gt;=1 ">(TMP EntlassungsmanagementEntry): Element hl7:high ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:high)&lt;=1">(TMP EntlassungsmanagementEntry): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:effectiveTime/hl7:low
Item: (TMP EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:effectiveTime/hl7:low"
         id="tmp-f947775f-d9e0-4907-93de-1496f1425fc8">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP EntlassungsmanagementEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:effectiveTime/hl7:high
Item: (TMP EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:effectiveTime/hl7:high"
         id="tmp-89cf3de8-1874-49be-be8d-78bb88c7db12">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP EntlassungsmanagementEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor='NI'">(TMP EntlassungsmanagementEntry): Der Wert von @nullFlavor MUSS 'NI' sein.</assert>
   </rule>
</pattern>