<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.5.2.3
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.5.2.3">
   <title>Indikation</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]
Item: (TMP Indikation)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]/hl7:section
Item: (TMP Indikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]/hl7:section"
         id="tmp-30ce0965-2fe3-4ba7-8008-e80adf8ae67a">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="@classCode='DOCSECT' or not(@classCode)">(TMP Indikation): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.3'])&gt;=1 ">(TMP Indikation): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.3'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.3'])&lt;=1">(TMP Indikation): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Indikation): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="count(hl7:code)&lt;=1">(TMP Indikation): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP Indikation): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="count(hl7:title)&lt;=1">(TMP Indikation): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP Indikation): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="count(hl7:text)&lt;=1">(TMP Indikation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.3']
Item: (TMP Indikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.3']"
         id="tmp-0134df99-0927-4c5f-a371-6194ebba282e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Indikation): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="@root='1.2.40.0.34.11.5.2.3'">(TMP Indikation): @root MUSS den Wert '1.2.40.0.34.11.5.2.3' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Indikation): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]/hl7:section/hl7:code
Item: (TMP Indikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]/hl7:section/hl7:code"
         id="tmp-aaf8c12f-69af-489d-ba33-9b2eaf0fb67b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Indikation): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="@nullFlavor or (@code='18785-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Reason for study' and @codeSystemName='LOINC')">(TMP Indikation): Der Wert von @code/@codeSystem MUSS '18785-6' codeSystem '2.16.840.1.113883.6.1' displayName='Reason for study' codeSystemName='LOINC' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]/hl7:section/hl7:title
Item: (TMP Indikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]/hl7:section/hl7:title"
         id="tmp-702ee91a-d70e-43b2-987d-ac586a6d389f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Indikation): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="text()='Indikation'">(TMP Indikation): Der Elementinhalt von 'hl7:title' MUSS ''Indikation'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]/hl7:section/hl7:text
Item: (TMP Indikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.3']]/hl7:section/hl7:text"
         id="tmp-f844eb7d-3554-4b7b-a24f-4afa8946b314">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.3.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Indikation): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ED" oder der Datentype MUSS "ED" sein</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>