<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.5.2.7
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.5.2.7">
   <title>Frühere Befunde</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]
Item: (TMP FrühereBefunde)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]/hl7:section
Item: (TMP FrühereBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]/hl7:section"
         id="tmp-7700fa59-84b3-44ef-a614-c18771749607">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="@classCode='DOCSECT' or not(@classCode)">(TMP FrühereBefunde): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.7'])&gt;=1 ">(TMP FrühereBefunde): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.7'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.7'])&lt;=1">(TMP FrühereBefunde): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.7'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP FrühereBefunde): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="count(hl7:code)&lt;=1">(TMP FrühereBefunde): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP FrühereBefunde): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="count(hl7:title)&lt;=1">(TMP FrühereBefunde): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP FrühereBefunde): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="count(hl7:text)&lt;=1">(TMP FrühereBefunde): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.7']
Item: (TMP FrühereBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.7']"
         id="tmp-64257c89-b637-4cb0-b88c-465e758fe8c4">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP FrühereBefunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="@root='1.2.40.0.34.11.5.2.7'">(TMP FrühereBefunde): @root MUSS den Wert '1.2.40.0.34.11.5.2.7' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP FrühereBefunde): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]/hl7:section/hl7:code
Item: (TMP FrühereBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]/hl7:section/hl7:code"
         id="tmp-83bccebf-04d1-4e97-9b23-71234a674c72">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP FrühereBefunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="@nullFlavor or (@code='18834-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Comparison.study' and @codeSystemName='LOINC')">(TMP FrühereBefunde): Der Wert von @code/@codeSystem MUSS '18834-2' codeSystem '2.16.840.1.113883.6.1' displayName='Comparison.study' codeSystemName='LOINC' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]/hl7:section/hl7:title
Item: (TMP FrühereBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]/hl7:section/hl7:title"
         id="tmp-feefcad7-39e7-49a7-a192-47b937cde1e1">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP FrühereBefunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="text()='Frühere Befunde'">(TMP FrühereBefunde): Der Elementinhalt von 'hl7:title' MUSS ''Frühere Befunde'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.7
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]/hl7:section/hl7:text
Item: (TMP FrühereBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.7']]/hl7:section/hl7:text"
         id="tmp-47906024-09c6-403c-aa6e-6baf7955cf39">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-1.2.40.0.34.11.5.2.7.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP FrühereBefunde): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ED" oder der Datentype MUSS "ED" sein</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>