<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.6
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.6">
   <title>Study Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]
Item: (TMP StudyAct)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation
Item: (TMP StudyAct)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation"
         id="tmp-fc0462d8-c958-4273-8358-cc3a8b68c137">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@classCode='OBS' ">(TMP StudyAct): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@moodCode='EVN' ">(TMP StudyAct): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6'])&gt;=1 ">(TMP StudyAct): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6'])&lt;=1">(TMP StudyAct): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:id)&gt;=1 ">(TMP StudyAct): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:id)&lt;=1">(TMP StudyAct): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP StudyAct): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:code)&lt;=1">(TMP StudyAct): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:text)&lt;=1">(TMP StudyAct): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP StudyAct): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]])&gt;=1 and not(hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/@nullFlavor)">(TMP StudyAct): Element hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]] ist mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']
Item: (TMP StudyAct)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']"
         id="tmp-0220c62f-2c51-41f4-b464-04c30b5ff32b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@root='2.16.840.1.113883.10.20.6.2.6'">(TMP StudyAct): @root MUSS den Wert '2.16.840.1.113883.10.20.6.2.6' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP StudyAct): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:id
Item: (TMP StudyAct)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:id"
         id="tmp-49d5c141-e74f-46ef-9dee-b4193986fe62">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="string-length(@root)&gt;0">(TMP StudyAct): Attribut @root MUSS vorkommen.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="string-length(@extension)=0">(TMP StudyAct): Attribut @extension DARF NICHT vorkommen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:code
Item: (TMP StudyAct)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:code"
         id="tmp-815fc464-d973-45b3-b332-124e9ca11c00">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or (@code='113014' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='DICOM Study' and @codeSystemName='DCM')">(TMP StudyAct): Der Wert von @code/@codeSystem MUSS '113014' codeSystem '1.2.840.10008.2.16.4' displayName='DICOM Study' codeSystemName='DCM' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:text
Item: (TMP StudyAct)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:text"
         id="tmp-cc805a6d-f4ac-4715-8100-742c0137eba0">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:effectiveTime
Item: (TMP StudyAct)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:effectiveTime"
         id="tmp-dde6a753-4ad2-448d-ae47-b524dae4595b">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]
Item: (TMP StudyAct)
-->











<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]
Item: (TMP StudyAct)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]
Item: (TMP StudyAct)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act"
         id="tmp-7f375ef1-66f2-402f-b91d-24b3b62f8d2a">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@classCode='ACT' ">(TMP StudyAct): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@moodCode='EVN' ">(TMP StudyAct): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:id)&gt;=1 ">(TMP StudyAct): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:id)&lt;=1">(TMP StudyAct): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP StudyAct): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:code)&lt;=1">(TMP StudyAct): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:text)&lt;=1">(TMP StudyAct): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP StudyAct): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]]/@nullFlavor)">(TMP StudyAct): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]] ist mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:id
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:id"
         id="tmp-3db74aa6-1be9-4643-8d61-e5a0dade6003">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="string-length(@root)&gt;0">(TMP StudyAct): Attribut @root MUSS vorkommen.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="string-length(@extension)=0">(TMP StudyAct): Attribut @extension DARF NICHT vorkommen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:code
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:code"
         id="tmp-59f15adf-91e2-4c1d-acee-9b26573093c2">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or (@code='113015' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='DICOM Series' and @codeSystemName='DCM')">(TMP StudyAct): Der Wert von @code/@codeSystem MUSS '113015' codeSystem '1.2.840.10008.2.16.4' displayName='DICOM Series' codeSystemName='DCM' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(TMP StudyAct): Element hl7:qualifier ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:qualifier)&lt;=1">(TMP StudyAct): Element hl7:qualifier kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:code/hl7:qualifier
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:code/hl7:qualifier"
         id="tmp-b6abb26a-ed95-44be-9144-a176b9082d17">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(TMP StudyAct): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:name)&lt;=1">(TMP StudyAct): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP StudyAct): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:value)&lt;=1">(TMP StudyAct): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:code/hl7:qualifier/hl7:name
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:code/hl7:qualifier/hl7:name"
         id="tmp-786f5d76-6d5b-4b46-9918-bbd6b82e27fc">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or (@code='121139' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Modality' and @codeSystemName='DCM')">(TMP StudyAct): Der Wert von @code/@codeSystem MUSS '121139' codeSystem '1.2.840.10008.2.16.4' displayName='Modality' codeSystemName='DCM' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:code/hl7:qualifier/hl7:value
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:code/hl7:qualifier/hl7:value"
         id="tmp-4df89dd5-9d47-4ee9-b95f-621ee16ccc5a">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or (@codeSystem='1.2.840.10008.2.16.4')">(TMP StudyAct): Der Wert von @codeSystem MUSS '1.2.840.10008.2.16.4' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:text
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:text"
         id="tmp-9adc4436-ba9a-4260-b0af-a06ba3a83401">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:effectiveTime
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:effectiveTime"
         id="tmp-77d1e2e9-5a06-4fb7-a09b-7aaf6d18b26f">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]]
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]]"
         id="tmp-3585bf00-dcb1-4b13-82d7-95bfd7a1737a">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@typeCode='COMP' ">(TMP StudyAct): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]]
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.6']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:code[@code='113015']]]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]]"
         id="tmp-d9f45e4c-c3e2-424d-9a98-78f75cc9df07">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@typeCode='COMP' ">(TMP StudyAct): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP StudyAct)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-b5e0c560-983a-40d8-8823-b287fcd782e6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@classCode='DGIMG' ">(TMP StudyAct): Der Wert von @classCode MUSS 'DGIMG' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@moodCode='EVN' ">(TMP StudyAct): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'])&gt;=1 ">(TMP StudyAct): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'])&lt;=1">(TMP StudyAct): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:id)&gt;=1 ">(TMP StudyAct): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:id)&lt;=1">(TMP StudyAct): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP StudyAct): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:code)&lt;=1">(TMP StudyAct): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:text)&lt;=1">(TMP StudyAct): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP StudyAct): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']"
         id="tmp-2e68a183-0e1f-416f-aeaf-d809a4613c83">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@root='2.16.840.1.113883.10.20.6.2.8'">(TMP StudyAct): @root MUSS den Wert '2.16.840.1.113883.10.20.6.2.8' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP StudyAct): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:id
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:id"
         id="tmp-0631b4f0-041b-40d9-a666-735d2dfda7ca">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="string-length(@root)&gt;0">(TMP StudyAct): Attribut @root MUSS vorkommen.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="string-length(@extension)=0">(TMP StudyAct): Attribut @extension DARF NICHT vorkommen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-a7c66c49-dcc5-4fa8-8d0a-0d3f48e6a773">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or (@codeSystem='1.2.840.10008.2.6.1' and @codeSystemName='DCMUID')">(TMP StudyAct): Der Wert von @codeSystem MUSS '1.2.840.10008.2.6.1' codeSystemName='DCMUID' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:text
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:text"
         id="tmp-55068eb2-a951-4af6-9b94-1d673341711d">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ED" oder der Datentype MUSS "ED" sein</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@mediaType='application/dicom' ">(TMP StudyAct): Der Wert von @mediaType MUSS 'application/dicom' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(reference)&gt;=1 and not(reference/@nullFlavor)">(TMP StudyAct): Element reference ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="count(reference)&lt;=1">(TMP StudyAct): Element reference kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:text/reference
Item: (TMP StudyAct)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.6
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime
Item: (TMP StudyAct)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime"
         id="tmp-3d6d6f59-cb9e-41e0-93cc-60ca66f23c91">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120404T111429/tmp-2.16.840.1.113883.10.20.6.2.6.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP StudyAct): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>